-------------------------------------------------------------------------------
--
-- Package PacoteCleopatra
-- Com tipos bsicos e codificao de instrues
--
--   FERNANDO GEHM MORAES 	    03/agosto/2005
--   NEY LAERT VILAR CALAZANS     18/junho/2006
--   CSAR AUGUSTO MISSIO MARCON  10/abril/2008
--
-------------------------------------------------------------------------------
library IEEE;
use IEEE.Std_Logic_1164.all;

package PacoteCleopatra is

	constant bus_size: integer := 8;
	subtype opcode is std_logic_vector(2 downto 0);
	subtype internal_bus is std_logic_vector(7 downto 0);
	type microinstrucao is record
		w,r,u: opcode;
		ce, rw, lnz, lcv: std_logic;
	end record;

end PacoteCleopatra;
